clear all;
close all;
clc;

load('Simulated4Link');

idsAll = randperm(size(X,2));
NTrain = round(0.95*size(X,2));
idsTrain = idsAll(1:NTrain);
idsTest = idsAll(NTrain+1:end);

X = [X', Xd'];
Y = F';

X_train = X(idsTrain,:);
Y_train = Y(idsTrain,:);
X_test = X(idsTest,:);
Y_test = Y(idsTest,:);

save('FData4LinkGP.mat', 'X_train', 'Y_train', 'X_test', 'Y_test');
figure;
plot(X)
